<%--
 ** Component: iface
 **
 ** Description:
 **   Archive index page Lister
 **
 ** Parameters:
 **
 **   see:archive/htdocs/index.jsp
 **
 ** $Author$
 ** $Date$
 **
 *
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
--%><%@page import="imagemed.http.tabs.TabBean"%><%@
	page import="imagemed.tables.*,imagemed.jsputil.*,imagemed.imtables.*, imagemed.imsession.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"
%><%IMSession is = new IMSession( request, response, out ); 

	is.response.setContentType( "text/plain" );

	if ( !IfaceToolbox.isRegOK( is ) ) {
		is.out.println( "#USERID: " + is.regID );
		is.out.println( "#RESULT: FAILED" );
		is.out.println( "#ERROR: Has no registration info for this IP." );
		return;
	}

	if( !TabBean.hasArchive(  )) {
		is.out.println( "#USERID: " + is.regID );
		is.out.println( "#RESULT: FAILED" );
		is.out.println( "#ERROR: No archive found." );
		return;
	}
	
	String thisPage = "/archive/index.jsp";

	String fields[] = { "DATE", "PANM", "STAT", "MODY", "PAID", "ACCN", "RSRC" };
	String sort[] = { "a_PANM" };

	TableDescriptor tdesc = new TableDescriptor( thisPage );
	TableProperties tprop = new TableProperties();

	TableParams tparams = new TableParams( is.imRequest );
	tparams.setDefaultFields( fields );
	tparams.setDefaultSort( sort );
	tparams.setDefaultPage( 1 );
	tparams.setDefaultPageSize( 20 );

	tdesc.setTableParams( tparams );
	tdesc.setTableProperties( tprop );
	ArchivesFieldManager fm = new ArchivesFieldManager( ArchivesFieldManager.MODE.EP_ARCHIVES, ArchivesFieldManager.ISSUER.LOCAL ); 
	tdesc.setFieldManager( fm );
	tdesc.setSortDepth( 3 );

	//Unnecessary - only workaround an exception at tableInit()
	tdesc.addExtraColumn( "_FIRST", new Column( new DataHeader( "SYUI" ), new DataCell( "SYUI" ), "SYUI" ) );

	ArchivesResult result = new ArchivesResult( tdesc, null, StudyToolbox.getOwnerHUB( is, null ), false );

	tdesc.setResult( result );

	Table table = new Table( tdesc );

	is.response.setContentType( "text/plain" );

	table.printTabSepTableContent( is.out );
	is.out.println( "#USERID: " + is.regID );
	
	// detect if there are some invalid fields 
	boolean partial = false;
	String[] vfArray = is.imRequest.getVals( "cFields" );
	if ( vfArray != null ) {
		for ( int i = 0; i < vfArray.length; i++ ) {
			String colid = vfArray[ i ];
			if ( colid != null ) {
				if ( fm.getHeaderName( colid ) == null ) {
					if ( !partial ) {
						partial = true;
						is.out.println( "#RESULT: PARTIAL" );
						is.out.print( "#INVALIDFIELDS:" );
					}
					is.out.print( colid + "\t" );
				}
			}
		}
	}

	if ( partial ) {
		is.out.println();
	}
	else {
		is.out.println( "#RESULT: OK" );
	}
	
	if ( true ) {
		return;
	}%>
