<%--
 * Component: iface
 *
 * Description:
 *    Opening the coercion page with the provided filters applied 
 *
 * Params:
 * 
 *   cUser    user id
 *   cPasswd  password
 *   qf_XXXX  filter to apply on field XXXX
 *
 * Supported fields:
 *   ACCN, PANM, PAID, MODY, DATE
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
 *
--%><%@
	page import="imagemed.imsession.*, java.util.*, imagemed.util.Helper, imagemed.jsputil.IfaceToolbox"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession( request, response, out ); 

	StringBuilder queryString = new StringBuilder( 256 );
	for ( Enumeration<String> e = request.getParameterNames(); e.hasMoreElements(); ) {
		String paramName = e.nextElement();
		if ( ! paramName.startsWith( "qf_" ) ) {
			continue;
		}
		
		String[] paramValues = request.getParameterValues( paramName );
		if ( paramValues == null ) {
			continue;
		}
		
		for ( String value : paramValues ) {
			queryString.append( "&" ).append( paramName ).append( "=" ).append( Helper.URLEncodeUTF8( value ) );
		}
	}

	String loc = is.httpx_host + "/qc/index.jsp?" + (queryString.length() > 0 ? queryString.substring( 1 ) : "" );
	IfaceToolbox.loginAndRedirect( is, loc );

	if ( true ) {
		// To avoid sending any other character on the connection after redirect
		return;
	}

%>