<%@
	page import="imagemed.imsession.*, imagemed.imtables.*, imagemed.jsputil.*,
			imagemed.jsputil.IfaceToolbox.ErrorType, imagemed.tables.*"

%><%@
	page errorPage="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession( request, response, out );
	is.response.setHeader( "pragma", "no-cache" );
	is.response.setHeader( "Cache-Control", "no-cache, must-revalidate" );
	is.response.setHeader( "Expiry-Date", "Friday, 31-Dec-70 23:59:59 GMT" );
	is.response.setContentType( "text/plain" );

	if ( !IfaceToolbox.isRegOK( is ) ) {
		IfaceToolbox.printError( is, ErrorType.Permanent, "Has no registration info for this IP." );
		return;
	}

	// --- Init Table without Result ---

	String thisPage = "/iface/folders.jsp";
	TableDescriptor tdesc = new TableDescriptor( thisPage, true, true, true, false );
	TableProperties tprop = new TableProperties();

	UserFolderFieldManager fm = new UserFolderFieldManager();
	String[] defaultFields = fm.getFields();

	TableParams tparams = new TableParams( is.imRequest );
	tparams.setDefaultFields( defaultFields );
	tparams.setDefaultPage( 1 );
	tparams.setDefaultPageSize( 20 );
	String[] defaultSort = { "a_LUSR", "a_FLDR" };
	tparams.setDefaultSort( defaultSort );

	tdesc.setFieldManager( fm );
	tdesc.setTableParams( tparams );
	tdesc.setTableProperties( tprop );
	tdesc.setSortDepth( 3 );

	//Unnecessary - only workaround an exception at tableInit()
	tdesc.addExtraColumn( "_FIRST", new Column( new DataHeader( "LUSR" ), new DataCell( "LUSR" ), "LUSR" ) );
	// --- Init Table with Result ---

	UserFolderResult ufr = new UserFolderResult( tdesc, is.regID );
	tdesc.setResult( ufr );
	Table table = new Table( tdesc );

	IfaceToolbox.printOK( is );
	table.printTabSepTableContent( is.out );
%>