<%--
 * Component: iface
 *
 * Description:
 *   Device setting interface
 *
 * Parameters:
 *
 *  Difficult
 *
--%><%@
	page import="imagemed.exception.*, imagemed.imsession.*, imagemed.jsputil.*,
			imagemed.jsputil.IfaceToolbox.ErrorType, imagemed.dotcom.*"

%><%@
	page errorPage="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession( request, response, out );

	try {
		if ( !IfaceToolbox.isRegOK( is ) ) {
			throw new IMIfaceException( is, "Has no registration info for this IP." );
		}

		if ( !IMAdminToolbox.bAdminRight( is ) ) {
			throw new IMIfaceException( is, "Has no Admin right for this operation." );
		}

		String devId = null;
		DotcomConfig.reCollect( is.out, devId );

		if ( !( devId != null || "true".equals( request.getParameter( "serialize" ) ) ) ) {
			IfaceToolbox.printOK( is );
		}
		else {
			throw new IMIfaceException( is, "You don't have permission to access this page." );
		}
	}
	catch ( IMIfaceException imi ) {
		IfaceToolbox.printError( is, imi.getErrorType(), imi.getMessage() );
		return;
	}
	catch ( Throwable t ) {
		IfaceToolbox.printError( is, ErrorType.Permanent, t.getMessage() );
		return;
	}
%>