<%--
 * Component: iface
 *
 * This JSP page is used to change the taskd behavior  
 *
 * @param cCallbackList   File containing information on event(s) registered for the callback
 *
--%><%@
	page import="java.io.*, java.util.regex.Pattern,
			imagemed.imsession.*, imagemed.jsputil.*, imagemed.jsputil.IfaceToolbox.ErrorType,
			imagemed.util.*"

%><%@
	page errorPage="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession( request, response, out );
	String parCop = request.getParameter( "cOp" );
	String parResource = request.getParameter( "cResource" );
	File resourceFile = new File( IMEnvBase.getEnv( "VAR" ) + "/conf/resources.cfg" );

	if ( !resourceFile.exists() ) {
		FileWriter writer = new FileWriter( IMEnvBase.getEnv( "VAR" ) + "/conf/resources.cfg" );
		writer.write( "# uncomment to stop registering objects\n# to pick up settings requires taskd restart\n#System.DB=\"0\"" );
		writer.close();
	}

	if ( parResource.equals( "System.DB" ) && ( parCop.equals( "ON" ) || parCop.equals( "OFF" ) ) ) {
		BufferedReader reader = new BufferedReader( new InputStreamReader( new FileInputStream( resourceFile ) ) );
		String line = "", text = "";
		while ( ( line = reader.readLine() ) != null ) {
			if ( Pattern.matches( "^#System.DB=\"0\"", line ) && parCop.equals( "OFF" ) ) {
				line = line.replaceAll( "#System.DB=\"0\"", "System.DB=\"0\"" );
			}
			else if ( Pattern.matches( "^System.DB=\"0\"", line ) && parCop.equals( "ON" ) )
			{
				line = line.replaceAll( "System.DB=\"0\"", "#System.DB=\"0\"" );
			}
			text += line + "\r\n";
		}
		reader.close();

		text = text.substring( 0, text.length() - 2 );
		FileWriter writer = new FileWriter( IMEnvBase.getEnv( "VAR" ) + "/conf/resources.cfg" );
		writer.write( text );
		writer.close();

		IfaceToolbox.printOK( is );
	}
	else {
		IfaceToolbox.printError( is, ErrorType.Permanent, "Unrecognized operation or resource." );
	}

%>